Widget Essentials not working



  • Gonna have to remind myself to leave the forum admin alone once its running correctly, getting to learn not to touch or even update the plugins because each time I do it causes problems, finally had my forums looks great great, when right out of the blue the widgets disappeared. 😢

    Widget essentials is installed and active and yet when ever I visit the widgets area I get the following error - "No widgets found! Activate the essential widgets plugin in the plugins control panel."

    I've disabled and uninstalled and then installed and enabled and still it doesn't work.

    Am using version 1.0.0 of widget essentials.

    thanks in advance, Lee 😄



  • Just viewed the log file and it says;

    2/4 13:26 [29457] - error: Error: Cannot find module '../public/src/modules/translator'
        at Function.Module._resolveFilename (module.js:338:15)
        at Function.Module._load (module.js:280:25)
        at Module.require (module.js:364:17)
        at /home/.../.../node_modules/nodebb-widget-essentials/library.js:14:30
        at Object.<anonymous> (/home/.../.../node_modules/nodebb-widget-essentials/library.js:443:2)
        at Module._compile (module.js:456:26)
        at Object.Module._extensions..js (module.js:474:10)
        at Module.load (module.js:356:32)
        at Function.Module._load (module.js:312:12)
        at Module.require (module.js:364:17)
        at require (module.js:380:17)
    2/4 13:26 [29457] - warn: [plugins.reload] Library not found for plugin: nodebb-widget-essentials
    

  • Admin

    Widget essetnails 1.0.0. is for nodebb 0.7.0-dev. Make sure you use an earlier version or update your nodebb core.



  • @baris ,

    hi Baris, thanks for responding, that's the version of Nodebb I'm using, does that mean I need to update the core?


  • Admin

    Make sure your core is up to date and the file translator.js is inside ../public/src/modules/translator' That change happend a few days ago if I am not mistaken.



  • @baris

    thanks again, your previous advice resolved the issue, I updated Nodebb which reverted to the previous version of WE (0.2.18), I'm going to leave it as it is, really don't like messing around with the back end stuff, I'm still a noob.

    many thanks appreciate your help 😄

    Best, Lee


 

Suggested Topics

| |

Looks like your connection to NodeBB was lost, please wait while we try to reconnect.